[jitsi-users] Permission denied jibriselenium.py


#1

Hi all;
When trying to run this command:

DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

I've got this error

Initializing Driver
Traceback (most recent call last):
  File
"/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 62, in start
    stdout=self.log_file, stderr=self.log_file)
  File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
    raise child_exception_type(errno_num, err_msg)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./jibriselenium.py", line 324, in <module>
    js =
JibriSeleniumDriver(URL,token,displayname=displayname,email=email,pjsua_flag=pjsua_flag)
  File "./jibriselenium.py", line 69, in __init__
    self.initDriver()
  File "./jibriselenium.py", line 83, in initDriver
    self.driver = webdriver.Chrome(chrome_options=options,
desired_capabilities=desired_capabilities)
  File
"/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py",
line 61, in __init__
    self.service.start()
  File
"/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 74, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'chromedriver'
executable may have wrong permissions. Please see

Exception ignored in: <bound method Service.__del__ of
<selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
Traceback (most recent call last):
  File
"/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 162, in __del__
    self.stop()
  File
"/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 134, in stop
    if self.process is None:
AttributeError: 'Service' object has no attribute 'process'

Any ideas how to fix this?

Thank you

Jorge Vertiz.


#2

Hi,

···

On Aug 8, 2017, at 09:00, Jorge Vértiz <asinorum@gmail.com> wrote:

Hi all;
When trying to run this command:

DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

I've got this error

Initializing Driver
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py", line 62, in start
    stdout=self.log_file, stderr=self.log_file)
  File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
    raise child_exception_type(errno_num, err_msg)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./jibriselenium.py", line 324, in <module>
    js = JibriSeleniumDriver(URL,token,displayname=displayname,email=email,pjsua_flag=pjsua_flag)
  File "./jibriselenium.py", line 69, in __init__
    self.initDriver()
  File "./jibriselenium.py", line 83, in initDriver
    self.driver = webdriver.Chrome(chrome_options=options, desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py", line 61, in __init__
    self.service.start()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py", line 74, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'chromedriver' executable may have wrong permissions. Please see https://sites.google.com/a/chromium.org/chromedriver/home

Exception ignored in: <bound method Service.__del__ of <selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py", line 162, in __del__
    self.stop()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py", line 134, in stop
    if self.process is None:
AttributeError: 'Service' object has no attribute ‘process’

Looks like your chromefriver executable has the wrong permissions. Can you check what those are? Make sure the user you are executing jibriselenium with has executable permissions.

Cheers,

--
Saúl


#3

Hi Saul;
Thanks for you response , when you say "Can you check what those are?"

Do yo mean to this?

ls -l /usr/bin/chromedriver
total 7496
-rwxr-xr-x 1 root root 7673176 Aug 8 13:14 chromedriver

i've executed the jibriselenium from the "jibri" user as folow:

su - jibri
cd /home/jibri/jibri-xmpp-client/
DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

that "jibri" user.belong to the groups:

groups jibri
jibri : jibri adm audio video plugdev

also i found this thread, with the exact same error

https://github.com/jitsi/jibri/issues/37

but, I dont know how to "manually change the executable_path"

somebody could help me with that?

best regards

Jorge Vertiz.

···

2017-08-08 16:35 GMT-05:00 Saúl Ibarra Corretgé <scorretge@atlassian.com>:

Hi,

> On Aug 8, 2017, at 09:00, Jorge Vértiz <asinorum@gmail.com> wrote:
>
> Hi all;
> When trying to run this command:
>
> DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test
>
> I've got this error
>
> Initializing Driver
> Traceback (most recent call last):
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 62, in start
> stdout=self.log_file, stderr=self.log_file)
> File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
> restore_signals, start_new_session)
> File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
> raise child_exception_type(errno_num, err_msg)
> PermissionError: [Errno 13] Permission denied
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
> File "./jibriselenium.py", line 324, in <module>
> js = JibriSeleniumDriver(URL,token,displayname=displayname,email=
email,pjsua_flag=pjsua_flag)
> File "./jibriselenium.py", line 69, in __init__
> self.initDriver()
> File "./jibriselenium.py", line 83, in initDriver
> self.driver = webdriver.Chrome(chrome_options=options,
desired_capabilities=desired_capabilities)
> File "/usr/local/lib/python3.5/dist-packages/selenium/
webdriver/chrome/webdriver.py", line 61, in __init__
> self.service.start()
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 74, in start
> os.path.basename(self.path), self.start_error_message)
> selenium.common.exceptions.WebDriverException: Message: 'chromedriver'
executable may have wrong permissions. Please see
https://sites.google.com/a/chromium.org/chromedriver/home
>
> Exception ignored in: <bound method Service.__del__ of
<selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
> Traceback (most recent call last):
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 162, in __del__
> self.stop()
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 134, in stop
> if self.process is None:
> AttributeError: 'Service' object has no attribute ‘process’
>

Looks like your chromefriver executable has the wrong permissions. Can you
check what those are? Make sure the user you are executing jibriselenium
with has executable permissions.

Cheers,

--
Saúl

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#4

Hi to all;
its the second time i'm posting this , if it's not the proper channel,
please point me to the correct one. Thanks

...Hi Saul;
Thanks for you response , when you say "Can you check what those are?"

Do yo mean to this?

ls -l /usr/bin/chromedriver
total 7496
-rwxr-xr-x 1 root root 7673176 Aug 8 13:14 chromedriver

i've executed the jibriselenium from the "jibri" user as folow:

su - jibri
cd /home/jibri/jibri-xmpp-client/
DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

that "jibri" user.belong to the groups:

groups jibri
jibri : jibri adm audio video plugdev

also i found this thread, with the exact same error

https://github.com/jitsi/jibri/issues/37

but, I dont know how to "manually change the executable_path"

somebody could help me with that?

best regards

Jorge Vertiz.

···

2017-08-09 8:08 GMT-05:00 Jorge Vértiz <asinorum@gmail.com>:

Hi Saul;
Thanks for you response , when you say "Can you check what those are?"

Do yo mean to this?

ls -l /usr/bin/chromedriver
total 7496
-rwxr-xr-x 1 root root 7673176 Aug 8 13:14 chromedriver

i've executed the jibriselenium from the "jibri" user as folow:

su - jibri
cd /home/jibri/jibri-xmpp-client/
DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

that "jibri" user.belong to the groups:

groups jibri
jibri : jibri adm audio video plugdev

also i found this thread, with the exact same error

https://github.com/jitsi/jibri/issues/37

but, I dont know how to "manually change the executable_path"

somebody could help me with that?

best regards

Jorge Vertiz.

2017-08-08 16:35 GMT-05:00 Saúl Ibarra Corretgé <scorretge@atlassian.com>:

Hi,

> On Aug 8, 2017, at 09:00, Jorge Vértiz <asinorum@gmail.com> wrote:
>
> Hi all;
> When trying to run this command:
>
> DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test
>
> I've got this error
>
> Initializing Driver
> Traceback (most recent call last):
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 62, in start
> stdout=self.log_file, stderr=self.log_file)
> File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
> restore_signals, start_new_session)
> File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
> raise child_exception_type(errno_num, err_msg)
> PermissionError: [Errno 13] Permission denied
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
> File "./jibriselenium.py", line 324, in <module>
> js = JibriSeleniumDriver(URL,token,displayname=displayname,email=
email,pjsua_flag=pjsua_flag)
> File "./jibriselenium.py", line 69, in __init__
> self.initDriver()
> File "./jibriselenium.py", line 83, in initDriver
> self.driver = webdriver.Chrome(chrome_options=options,
desired_capabilities=desired_capabilities)
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py",
line 61, in __init__
> self.service.start()
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 74, in start
> os.path.basename(self.path), self.start_error_message)
> selenium.common.exceptions.WebDriverException: Message: 'chromedriver'
executable may have wrong permissions. Please see
https://sites.google.com/a/chromium.org/chromedriver/home
>
> Exception ignored in: <bound method Service.__del__ of
<selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
> Traceback (most recent call last):
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 162, in __del__
> self.stop()
> File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 134, in stop
> if self.process is None:
> AttributeError: 'Service' object has no attribute ‘process’
>

Looks like your chromefriver executable has the wrong permissions. Can
you check what those are? Make sure the user you are executing
jibriselenium with has executable permissions.

Cheers,

--
Saúl

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users